Upload Whatsapp profile photo
POST
/
whatsapp
/
phone_numbers
/
{phone_number}
/
profile
/
photo
JavaScript
import fs from 'fs';
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const response = await client.whatsapp.phoneNumbers.profile.photo.upload('phone_number', {
file: fs.createReadStream('path/to/file'),
});
console.log(response.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
response = client.whatsapp.phone_numbers.profile.photo.upload(
phone_number="phone_number",
file=b"Example data",
)
print(response.data)package main
import (
"bytes"
"context"
"fmt"
"io"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.Whatsapp.PhoneNumbers.Profile.Photo.Upload(
context.TODO(),
"phone_number",
telnyx.WhatsappPhoneNumberProfilePhotoUploadParams{
File: io.Reader(bytes.NewBuffer([]byte("Example data"))),
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.Data)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.whatsapp.phonenumbers.profile.photo.PhotoUploadParams;
import com.telnyx.sdk.models.whatsapp.phonenumbers.profile.photo.PhotoUploadResponse;
import java.io.ByteArrayInputStream;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
PhotoUploadParams params = PhotoUploadParams.builder()
.phoneNumber("phone_number")
.file(new ByteArrayInputStream("Example data".getBytes()))
.build();
PhotoUploadResponse response = client.whatsapp().phoneNumbers().profile().photo().upload(params);
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
response = telnyx.whatsapp.phone_numbers.profile.photo.upload("phone_number", file: StringIO.new("Example data"))
puts(response)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\FileParam;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$response = $client->whatsapp->phoneNumbers->profile->photo->upload(
'phone_number',
file: FileParam::fromString('Example data', filename: uniqid('file-upload-', true)),
);
var_dump($response);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx whatsapp:phone-numbers:profile:photo upload \
--api-key 'My API Key' \
--phone-number phone_number \
--file 'Example data'curl --request POST \
--url https://api.telnyx.com/v2/whatsapp/phone_numbers/{phone_number}/profile/photo \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form file='@example-file'{
"data": {
"id": "<string>",
"record_type": "whatsapp_phone_number_profiles",
"phone_number_id": "<string>",
"display_name": "<string>",
"profile_photo_url": "<string>",
"category": "<string>",
"about": "<string>",
"description": "<string>",
"email": "<string>",
"website": "<string>",
"address": "<string>",
"profile_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"errors": [
{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
},
"meta": {}
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Phone number (E.164 format)
Body
multipart/form-data
Image file (JPEG recommended, max 10 MB)
Response
Profile with updated photo
Show child attributes
Show child attributes
Was this page helpful?
⌘I
JavaScript
import fs from 'fs';
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const response = await client.whatsapp.phoneNumbers.profile.photo.upload('phone_number', {
file: fs.createReadStream('path/to/file'),
});
console.log(response.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
response = client.whatsapp.phone_numbers.profile.photo.upload(
phone_number="phone_number",
file=b"Example data",
)
print(response.data)package main
import (
"bytes"
"context"
"fmt"
"io"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.Whatsapp.PhoneNumbers.Profile.Photo.Upload(
context.TODO(),
"phone_number",
telnyx.WhatsappPhoneNumberProfilePhotoUploadParams{
File: io.Reader(bytes.NewBuffer([]byte("Example data"))),
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.Data)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.whatsapp.phonenumbers.profile.photo.PhotoUploadParams;
import com.telnyx.sdk.models.whatsapp.phonenumbers.profile.photo.PhotoUploadResponse;
import java.io.ByteArrayInputStream;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
PhotoUploadParams params = PhotoUploadParams.builder()
.phoneNumber("phone_number")
.file(new ByteArrayInputStream("Example data".getBytes()))
.build();
PhotoUploadResponse response = client.whatsapp().phoneNumbers().profile().photo().upload(params);
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
response = telnyx.whatsapp.phone_numbers.profile.photo.upload("phone_number", file: StringIO.new("Example data"))
puts(response)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\FileParam;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$response = $client->whatsapp->phoneNumbers->profile->photo->upload(
'phone_number',
file: FileParam::fromString('Example data', filename: uniqid('file-upload-', true)),
);
var_dump($response);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx whatsapp:phone-numbers:profile:photo upload \
--api-key 'My API Key' \
--phone-number phone_number \
--file 'Example data'curl --request POST \
--url https://api.telnyx.com/v2/whatsapp/phone_numbers/{phone_number}/profile/photo \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form file='@example-file'{
"data": {
"id": "<string>",
"record_type": "whatsapp_phone_number_profiles",
"phone_number_id": "<string>",
"display_name": "<string>",
"profile_photo_url": "<string>",
"category": "<string>",
"about": "<string>",
"description": "<string>",
"email": "<string>",
"website": "<string>",
"address": "<string>",
"profile_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"errors": [
{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
},
"meta": {}
}
]
}